Package it.ernytech.tdlib

## Class TdApi.Update

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update

Direct Known Subclasses:
  `TdApi.UpdateAuthorizationState`, `TdApi.UpdateBasicGroup`, `TdApi.UpdateBasicGroupFullInfo`, `TdApi.UpdateCall`, `TdApi.UpdateChatDraftMessage`, `TdApi.UpdateChatIsPinned`, `TdApi.UpdateChatLastMessage`, `TdApi.UpdateChatOrder`, `TdApi.UpdateChatPhoto`, `TdApi.UpdateChatReadInbox`, `TdApi.UpdateChatReadOutbox`, `TdApi.UpdateChatReplyMarkup`, `TdApi.UpdateChatTitle`, `TdApi.UpdateChatUnreadMentionCount`, `TdApi.UpdateConnectionState`, `TdApi.UpdateDeleteMessages`, `TdApi.UpdateFavoriteStickers`, `TdApi.UpdateFile`, `TdApi.UpdateFileGenerationStart`, `TdApi.UpdateFileGenerationStop`, `TdApi.UpdateInstalledStickerSets`, `TdApi.UpdateMessageContent`, `TdApi.UpdateMessageContentOpened`, `TdApi.UpdateMessageEdited`, `TdApi.UpdateMessageMentionRead`, `TdApi.UpdateMessageSendAcknowledged`, `TdApi.UpdateMessageSendFailed`, `TdApi.UpdateMessageSendSucceeded`, `TdApi.UpdateMessageViews`, `TdApi.UpdateNewCallbackQuery`, `TdApi.UpdateNewChat`, `TdApi.UpdateNewChosenInlineResult`, `TdApi.UpdateNewCustomEvent`, `TdApi.UpdateNewCustomQuery`, `TdApi.UpdateNewInlineCallbackQuery`, `TdApi.UpdateNewInlineQuery`, `TdApi.UpdateNewMessage`, `TdApi.UpdateNewPreCheckoutQuery`, `TdApi.UpdateNewShippingQuery`, `TdApi.UpdateNotificationSettings`, `TdApi.UpdateOption`, `TdApi.UpdateRecentStickers`, `TdApi.UpdateSavedAnimations`, `TdApi.UpdateSecretChat`, `TdApi.UpdateServiceNotification`, `TdApi.UpdateSupergroup`, `TdApi.UpdateSupergroupFullInfo`, `TdApi.UpdateTrendingStickerSets`, `TdApi.UpdateUnreadMessageCount`, `TdApi.UpdateUser`, `TdApi.UpdateUserChatAction`, `TdApi.UpdateUserFullInfo`, `TdApi.UpdateUserPrivacySettingRules`, `TdApi.UpdateUserStatus`

Enclosing class:
  TdApi

    public abstract static class TdApi.Update
    extends TdApi.Object

This class is an abstract base class. Contains notifications about data changes.

### Constructor Summary

Constructors
`Update()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### Update

    public Update()